// Showroom.h: Schnittstelle fr die Klasse Showroom
//
//////////////////////////////////////////////////////////////////////

#include <Cg/cg.h>
#include <Cg/cgGL.h>

#ifndef SHOWROOM_H
#define SHOWROOM_H

		// methods
		void display_func(void);
		void mouse_func(int button, int state, int x, int y);
		void motion_func(int x, int y);
		void passive_motion_func(int x, int y);
		void idle_func(void);
		void reshape_func(int new_width, int new_height);
		void key_func_extended(int key, int x, int y);
		void key_func_up_extended(int key, int x, int y);
		void updateView();
		void timer_func(int value);
		void loadTextures();
		void initScene();
		void showAvailableExtensions();
		bool checkForExtension(char* extension);
		void key_func(unsigned char key, int x, int y);

		// HDR specific methods
		bool ConfigFBuffer();
		void OffScreenPass();
		void TonePass();

		// Cg specific methods
		void clearCGContext(CGcontext context);

		//just for fun
		void DrawSnowman();
		



#endif