// BMPLoader.h: Schnittstelle fr die Klasse BMPLoader
//
//////////////////////////////////////////////////////////////////////

#ifndef BMPLOADER_H
#define BMPLOADER_H

#include<windows.h>        // Windows header file.
#include<stdio.h>          // Standard input/output.

#define BITMAP_ID 0x4D42	// The universal bitmap ID


class BMPLoader
{
	public:
      
		// constructors/destructors
		BMPLoader();
		~BMPLoader();

		// methods
		bool LoadBitmap(char *filename); // load a .bmp file
		void clear();                // delete a image

		// fields
		unsigned int ID;                 // texture ID
		int imageWidth;                  // width of a texture
		int imageHeight;                 // height of a texture
		unsigned char *image;            // texture image
};

#endif